org.deidentifier.arx.gui.view.impl.wizard

## Class HierarchyWizardModelGrouping.HierarchyWizardGroupingGroup<U>

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardModelGrouping.HierarchyWizardGroupingGroup<U>

Type Parameters:
  `U` -

Enclosing class:
  HierarchyWizardModelGrouping<T>

    public static class HierarchyWizardModelGrouping.HierarchyWizardGroupingGroup<U>
    extends java.lang.Object

This class represents a group.

Author:
  Fabian Prasser

### Field Summary

Fields
`AggregateFunction<U>` `function` Var.
`int` `size` Var.

### Constructor Summary

Constructors
Constructor and Description
`HierarchyWizardGroupingGroup(HierarchyBuilderGroupingBased.Group<U> group)`
`HierarchyWizardGroupingGroup(int size, AggregateFunction<U> function)`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### size

    public int size

Var.

#### function

    public AggregateFunction<U> function

Var.

### Constructor Detail

#### HierarchyWizardGroupingGroup

    public HierarchyWizardGroupingGroup(HierarchyBuilderGroupingBased.Group<U> group)

Parameters:
  `group` -

#### HierarchyWizardGroupingGroup

    public HierarchyWizardGroupingGroup(int size,
                                        AggregateFunction<U> function)

Parameters:
  `size` -
  `function` -